%define name gnumeric
%define version 0.56
%define release 4mdk
%define	prefix /usr
%define	localstatedir /var/lib

Name: %{name}
Summary: A full-featured spreadsheet for GNOME.
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Office
Packager: Renaud Chaillat <rchaillat@mandrakesoft.com>
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}-48.xpm.bz2
Source2: %{name}-32.xpm.bz2
Source3: %{name}-16.xpm.bz2
Source4: %{name}-48.png.bz2
URL: http://www.gnome.org/gnumeric/
#Icon: %{name}-logo.xpm
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: gnome-libs >= 1.0.60 libglade >= 0.13 guile >= 1.3 gnome-print >= 0.20 gtk+ >= 1.2.7 gnome-core libole2
BuildRequires: gnome-print-devel libole2-devel 
#Patch1:	%{name}-libole2.patch.bz2

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of GUI
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. Gnumeric is a spreadsheet program for GNOME. This
program is intended to be a replacement for a commercial spreadsheet, so quite
a bit of work has gone into the program.

Install gnumeric if you want to use a spreadsheet program with GNOME.

%prep
%setup -q
#%patch1 -p1 -b .ole
%build
%configure --without-bonobo --without-gb
%make gnumeric_datadir=%{_datadir}/%{name}/%{version}/ gnumeric_exec_prefix=%{_prefix} gnumeric_gladedir=%{_datadir}/%{name}/%{version}/glade/ gladedir=%{_datadir}/%{name}/%{version}/glade/ gnumeric_libdir=%{_libdir}/%{name}/%{version}/ gnumeric_plugindir=%{_libdir}/%{name}/%{version}/plugins/ gnumeric_prefix=%%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall gnumeric_datadir=$RPM_BUILD_ROOT%{_datadir}/%{name}/%{version}/ gnumeric_exec_prefix=$RPM_BUILD_ROOT%{_prefix} gnumeric_gladedir=$RPM_BUILD_ROOT%{_datadir}/%{name}/%{version}/glade/ gladedir=$RPM_BUILD_ROOT%{_datadir}/%{name}/%{version}/glade/ gnumeric_libdir=$RPM_BUILD_ROOT%{_libdir}/%{name}/%{version}/ gnumeric_plugindir=$RPM_BUILD_ROOT%{_libdir}/%{name}/%{version}/plugins/ gnumeric_prefix=$RPM_BUILD_ROOT%%{_prefix}

#broken right now ? remove comment if it breaks...
#rm -f  $RPM_BUILD_ROOT%{prefix}/lib/gnumeric/plugins/%{version}/libgnum_python.*

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.xpm" section="Office" \
title="Gnumeric" longtitle="A full-featured spreadsheet for Gnome"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_menus}

%postun
/sbin/ldconfig
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc HACKING AUTHORS ChangeLog NEWS README COPYING TODO
%{_bindir}/*
%{_libdir}/gnumeric/%{version}/plugins/*
# %{_datadir}/gnome/apps/*/gnumeric.desktop
%{_datadir}/gnome/help/gnumeric
%{_datadir}/idl/Gnumeric.idl
%{_datadir}/mc/templates/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/gnumeric
%{_sysconfdir}/CORBA/servers/*
%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.png

%changelog
* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.56-4mdk
- added icons
- menu entry in spec file
- packager tag

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.56-3mdk
- BM (help by Damien)
- more macros

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.56-2mdk
- fix URL
- spec simplification through new chmou toys

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 0.56-1mdk
- updated to 0.56

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.54-1mdk
- updated to helix version.

* Sat May 27 2000 dam's <damien@mandrakesoft.com> 0.53-1mdk
- took new version from Helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.52-3mdk
- BuildRequires: gnome-print-devel.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-2mdk
- added a 32x32 icon for a better-looking KDE docking
- removed gnumeric.desktop because we don't need it, we have menu for that
- fixed /usr/share/locale/.. directory owns

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-1mdk
- took srpm from Helix [grrr.. they don't provide changelog, why?]
- add menu entry, with icon
